// CA2219:Filter、CA2219:Fault は MSIL で実装しないと警告を出せない模様。

using System;
using System.IO;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Usage
{
    public static class Rule2219
    {
        // このメソッドは CA2219:Finally に違反しています。
        public static string ReadAllText(string path)
        {
            try
            {
                return File.ReadAllText(path);
            }
            finally
            {
                throw new InvalidOperationException("Failed to read contents.");
            }
        }
    }
}
